Skip to main content
GET
/
api
/
v1
/
agents
/
{agent_id}
Get Agent
curl --request GET \
  --url https://api.example.com/api/v1/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
{
  "api_key": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "description": "<string>",
  "id": "<string>",
  "is_active": true,
  "last_used_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "permissions": [
    "<string>"
  ],
  "objective": "<string>",
  "permission_flags": {},
  "preset_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string
required

Response

Successful Response

Schema for agent response (global, always includes api_key).

api_key
string
required
created_at
string<date-time>
required
created_by
string
required
description
string | null
required
id
string
required
is_active
boolean
required
last_used_at
string<date-time> | null
required
name
string
required
permissions
string[] | null
required
objective
string | null
permission_flags
Permission Flags · object
preset_id
string | null
Last modified on May 8, 2026